org.apache.commons.ssl

## Class Java14TrustManagerWrapper

- java.lang.Object
- - org.apache.commons.ssl.Java14TrustManagerWrapper

All Implemented Interfaces:
  javax.net.ssl.TrustManager, javax.net.ssl.X509TrustManager

    public class Java14TrustManagerWrapper
    extends java.lang.Object
    implements javax.net.ssl.X509TrustManager

Since:
  30-Mar-2006
Author:
  Credit Union Central of British Columbia, www.cucbc.com, juliusdavies@cucbc.com

### Field Summary

Fields
`private SSL` `ssl`
`private TrustChain` `trustChain`
`private javax.net.ssl.X509TrustManager` `trustManager`

### Constructor Summary

Constructors
Constructor and Description
`Java14TrustManagerWrapper(javax.net.ssl.X509TrustManager m, TrustChain tc, SSL h)`

### Method Summary

Methods
`void` `checkClientTrusted(java.security.cert.X509Certificate[] chain, java.lang.String authType)`
`void` `checkServerTrusted(java.security.cert.X509Certificate[] chain, java.lang.String authType)`
`java.security.cert.X509Certificate[]` `getAcceptedIssuers()`
`private static java.lang.Throwable` `getRootThrowable(java.lang.Throwable t)`
`private void` `testShouldWeThrow(java.security.cert.CertificateException checkException, java.security.cert.X509Certificate[] chain)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### trustManager

    private final javax.net.ssl.X509TrustManager trustManager

#### trustChain

    private final TrustChain trustChain

#### ssl

    private final SSL ssl

### Constructor Detail

#### Java14TrustManagerWrapper

    public Java14TrustManagerWrapper(javax.net.ssl.X509TrustManager m,
                             TrustChain tc,
                             SSL h)

### Method Detail

#### checkClientTrusted

    public void checkClientTrusted(java.security.cert.X509Certificate[] chain,
                          java.lang.String authType)
                            throws java.security.cert.CertificateException

Specified by:
  `checkClientTrusted` in interface `javax.net.ssl.X509TrustManager`
Throws:
  `java.security.cert.CertificateException`

#### checkServerTrusted

    public void checkServerTrusted(java.security.cert.X509Certificate[] chain,
                          java.lang.String authType)
                            throws java.security.cert.CertificateException

Specified by:
  `checkServerTrusted` in interface `javax.net.ssl.X509TrustManager`
Throws:
  `java.security.cert.CertificateException`

#### getAcceptedIssuers

    public java.security.cert.X509Certificate[] getAcceptedIssuers()

Specified by:
  `getAcceptedIssuers` in interface `javax.net.ssl.X509TrustManager`

#### testShouldWeThrow

    private void testShouldWeThrow(java.security.cert.CertificateException checkException,
                         java.security.cert.X509Certificate[] chain)
                            throws java.security.cert.CertificateException

Throws:
  `java.security.cert.CertificateException`

#### getRootThrowable

    private static java.lang.Throwable getRootThrowable(java.lang.Throwable t)